[Prev: SPAMMODE] | [Resources][TOC] | [Next: STDERR]

# SSMARKUP

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  N/A

Element

  `<SSMARKUP>`
  markup...
  `</SSMARKUP>`

Command-line Option

  N/A

## Description

SSMARKUP defines the default markup that occurs at the very beginning of all created HTML pages. This resource may be used to include any server-side processing markup that must occur before any HTML-related markup.

If you require to have different initial markup for the different types of pages that MHonArc generates, then you can use the MSGPGSSMARKUP, IDXPGSSMARKUP, and TIDXPGSSMARKUP resources.

## Default Setting

Nil.

## Resource Variables

N/A

## Examples

The following example is stolen from the MHonArc mailing list which lead to the addition of SSMARKUP to MHonArc. In this markup, some server-side markup is added to check if the user is logged in:

    <SSMarkup>
    <%@ LANGUAGE=VBSCRIPT %>
    <%
    If Not Session("LoginOK") Then Response.redirect "/default.htm"
    %>
    </SSMarkup>

## Version

2.4.0

## See Also

IDXPGSSMARKUP, MSGPGSSMARKUP, TIDXPGSSMARKUP

Page Layout

[Prev: SPAMMODE] | [Resources][TOC] | [Next: STDERR]